Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 0.6SynchronousAuth Required

AddKVMHost

AddKVMHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • usernameStringRequired

      The SSH username.

    • passwordStringRequired

      The SSH password.

    • sshPortint

      Optional. The SSH port No.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • managementIpStringRequired

      The IP address of the host management node.

    • clusterUuidStringRequired

      The cluster UUID.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryHostInventoryRequired

    Seeinventory.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • cpuNumIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/hosts/kvm

/zstack/v1/hosts/kvm

Operation ID

AddKVMHost

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/kvm' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"username":"<username>","password":"<password>","sshPort":1,"name":"<name>","description":"<description>","managementIp":"<managementIp>","clusterUuid":"<clusterUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "zoneUuid": "d4160c59319c4642832e666514364a79", "name": "example", "uuid": "479e88bab7a647e3b066a724c8bb3b82", "clusterUuid": "42ade59801804602b9986b42fd103d1c", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0 } }

Change History

This API has no change history records yet.

View all change history